activemq-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dej...@apache.org
Subject svn commit: r993322 - /activemq/trunk/assembly/src/release/bin/activemq
Date Tue, 07 Sep 2010 11:31:04 GMT
Author: dejanb
Date: Tue Sep  7 11:31:03 2010
New Revision: 993322

URL: http://svn.apache.org/viewvc?rev=993322&view=rev
Log:
https://issues.apache.org/activemq/browse/AMQ-2899 - whoami on solaris

Modified:
    activemq/trunk/assembly/src/release/bin/activemq

Modified: activemq/trunk/assembly/src/release/bin/activemq
URL: http://svn.apache.org/viewvc/activemq/trunk/assembly/src/release/bin/activemq?rev=993322&r1=993321&r2=993322&view=diff
==============================================================================
--- activemq/trunk/assembly/src/release/bin/activemq (original)
+++ activemq/trunk/assembly/src/release/bin/activemq Tue Sep  7 11:31:03 2010
@@ -321,7 +321,12 @@ fi
 invokeJar(){
    local PIDFILE="$1"
    local RET="1"
-   local CUSER="$(whoami)"
+   local CUSER="$(whoami 2>/dev/null)"
+
+   # Solaris fix
+   if ( ! [ $? -eq 0 ] ) ; then
+    local CUSER="$(/usr/ucb/whoami)"
+   fi
 
    if ( ! [ -f "${ACTIVEMQ_HOME}/bin/run.jar" ] );then
     echo "ERROR: '${ACTIVEMQ_HOME}/bin/run.jar' does not exist"



Mime
View raw message